Delete a model
Delete a model by its name.
In: header
Path Parameters
The username of the user that owns the model.
The name of the model.
Response Body
curl -X DELETE "https://api.wrift.ai/v1/models/string/string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create a prediction POST
Create a prediction for the provided inputs against the latest version of a model. By default this endpoint handles requests asynchronously by creating a prediction and returning the created prediction without waiting for a response from the model. This endpoint can be made to wait for a response by passing a optional Prefer header with the wait time. This endpoint will then wait upto the wait time specified for a response from the model. If it receives one it will return the response otherwise the pending prediction is returned which can be polled for updates. If it receives one it will return the response otherwise the pending prediction is returned which can be polled for updates using get prediction endpoint.
Get a model GET
Retrieve a model using the specified owner and name. You must be authenticated with the necessary permissions to fetch a private model.